Loading...
Searching...
No Matches
su_types.h File Reference

Basic integer types for su library. More...

`#include <sofia-sip/su_config.h>`
`#include <stddef.h>`
Include dependency graph for su_types.h:

Go to the source code of this file.

## Macros

#define | SU_TYPES_H
| Defined when <sofia-sip/su_types.h> has been included.

## Typedefs

typedef SU_INTPTR_T | intptr_t
| Integer type large enough to store pointers.
typedef unsigned SU_INTPTR_T | uintptr_t
| Unsigned integer type large enough to store pointers.
typedef SU_U64_T | uint64_t
| 64-bit unsigned integer
typedef SU_S64_T | int64_t
| 64-bit signed integer
typedef SU_U32_T | uint32_t
| 32-bit unsigned integer
typedef SU_S32_T | int32_t
| 32-bit signed integer
typedef SU_U16_T | uint16_t
| 16-bit unsigned integer
typedef SU_S16_T | int16_t
| 16-bit signed integer
typedef SU_U8_T | uint8_t
| 8-bit unsigned integer
typedef SU_S8_T | int8_t
| 8-bit signed integer
typedef SU_LEAST64_T | int_least64_t
| At least 64-bit integer.
typedef SU_LEAST32_T | int_least32_t
| At least 32-bit integer.
typedef SU_LEAST16_T | int_least16_t
| At least 16-bit integer.
typedef SU_LEAST8_T | int_least8_t
| At least 8-bit integer.

## Detailed Description

Basic integer types for su library.

This include file provides <stdint.h> or <inttypes.h> types.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Date
  Created: Thu Mar 18 19:40:51 1999 pessi

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.